Initiate Session
curl --request GET \
--url https://production.deepvue.tech/v1/ekyc/aadhaar/connect \
--header 'client-id: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/ekyc/aadhaar/connect"
headers = {
"x-api-key": "<api-key>",
"client-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', 'client-id': '<api-key>'}};
fetch('https://production.deepvue.tech/v1/ekyc/aadhaar/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/ekyc/aadhaar/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"client-id: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/ekyc/aadhaar/connect"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("client-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/ekyc/aadhaar/connect")
.header("x-api-key", "<api-key>")
.header("client-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/ekyc/aadhaar/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["client-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738303175394,
"transaction_id": "f5d8e48f477f4116967a6be4d97a7769",
"data": {
"session_id": "17568923be1441a9b05c7af693e92aa5",
"captcha": "/9j/4AAQSkZJRgABAQAAAQABAAD/..."
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Unable to create a session"
}V1
Initiate Session
This API allows to initiate a session with UIDAI to fetch Captcha before passing the Aadhaar number of the customer.
GET
/
v1
/
ekyc
/
aadhaar
/
connect
Initiate Session
curl --request GET \
--url https://production.deepvue.tech/v1/ekyc/aadhaar/connect \
--header 'client-id: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/ekyc/aadhaar/connect"
headers = {
"x-api-key": "<api-key>",
"client-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', 'client-id': '<api-key>'}};
fetch('https://production.deepvue.tech/v1/ekyc/aadhaar/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/ekyc/aadhaar/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"client-id: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/ekyc/aadhaar/connect"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("client-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/ekyc/aadhaar/connect")
.header("x-api-key", "<api-key>")
.header("client-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/ekyc/aadhaar/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["client-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738303175394,
"transaction_id": "f5d8e48f477f4116967a6be4d97a7769",
"data": {
"session_id": "17568923be1441a9b05c7af693e92aa5",
"captcha": "/9j/4AAQSkZJRgABAQAAAQABAAD/..."
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Unable to create a session"
}Authorizations
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Query Parameters
Indicates whether the customer has given consent for validating their KYC. This parameter is mandatory as per regulations.
Specifies the purpose of the KYC check. This parameter is mandatory as per regulations.